<?php
/**
 * 管理员管理
 * $Id: account_edit_input.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$status_to = ParamUtil::getRequestString("status_to");

//查找当前需要操作的记录
$user_use_coupon_dat = UserUseCouponDat::getById($id);
$user_mst = UserMst::getById($user_use_coupon_dat->user_id);

//使用代金券状态列表
$coupon_status_list = Array();
if($user_use_coupon_dat->status=="APPLY") {
	$coupon_status_list[] = CouponStatus::getByName("BACK");
	$coupon_status_list[] = CouponStatus::getByName("CASHING");
}

if($user_use_coupon_dat->status=="CASHING") {
	$coupon_status_list[] = CouponStatus::getByName("SUCCESS");
}

// 页面表示
$_SCRIPT_FILE = array("scripts/validators.js", "scripts/user_list.js");
$layout_pages = array();
$layout_pages["top"] = "menu.inc";
$layout_pages["menu_clicked"] = "li_user";
$layout_pages["middle"] = "user_use_coupon_exec.inc";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
exit;